#! /bin/sh -f

######################################################################
# Licensed Materials - Property of IBM and/or HCL
# (C) Copyright IBM Corp. 2012, 2016.  All Rights Reserved
# (C) Copyright HCL Technolgies Ltd. 2016, 2018.  All Rights Reserved
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
######################################################################

#
# The purpose of this script is to wrap the CCBE server's executable so that
# required setup can be done for that executable. 
# ccbe-web and ccbe-web.sh must reside in the same directory
#
PATH=.:$PATH
#
# Unset LIBPATH or LD_LIBRARY_PATH (platform dependent) to prevent clash of JAVA 
# installed with WAS and CC
#
ARCH=`uname -s`
if [ "$ARCH" = "AIX" ]
then
    unset LIBPATH
else
    unset LD_LIBRARY_PATH
fi

#
# Pass all command line args to this next exec. Exec is used here so that
# we replace this (shell) process with the new process; we don't want both
# processes running at the same time.
#
dir=`dirname $0`
exec $dir/ccbe-web ${1+"$@"}

