#! /bin/sh -f

######################################################################
# IBM and/or HCL Confidential
# OCO Source Materials
# (C) Copyright IBM Corp. 2013, 2016. All Rights Reserved.
# (C) Copyright HCL Technologies Ltd. 2016, 2018. All Rights Reserved.
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
######################################################################

#
# The purpose of this script is to wrap the RVIEWBE server's executable so that
# required setup can be done for that executable. 
# rviewbe-web.sh must reside in the same directory
#
PATH=.:$PATH
#
# Unset LIBPATH or LD_LIBRARY_PATH (platform dependent) to prevent clash of JAVA 
# installed with WAS and CC
#
ARCH=`uname -s`
if [ "$ARCH" = "AIX" ]
then
    unset LIBPATH
else
    unset LD_LIBRARY_PATH
fi

#
# Pass all command line args to this next exec. Exec is used here so that
# we replace this (shell) process with the new process; we don't want both
# processes running at the same time.
#
dir=`dirname $0`
exec $dir/rviewbe-web ${1+"$@"}
