#!/bin/sh
# Licensed Materials - Property of IBM and/or HCL
# (C) Copyright IBM Corp. 1993, 2016.  All Rights Reserved.
# (C) Copyright HCL Technologies Ltd. 2016, 2019  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#
# view_scrubber.sh - utility to remove derived object data containers
# from original view after they've been promoted to the VOB. 
# Usage: 
#  o  	set current process view 
#  o  	cd to desired working directory
#  o  	invoke this script - it will process the current directory
#	and also recurse through subdirectories
#
ATRIA_DIR=${CLEARCASEHOME:-${ATRIAHOME:-/opt/rational/clearcase}}
find . -type f -print | $ATRIA_DIR/etc/view_scrubber 
